import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A frog class does the following:
 * 1. call checkKeys which check which keys pressed
 * 2. call intersect that check which wether the frog hit the bee or the anchor
 * @author (John, Moulli, and Alsbouaya) 
 * @version (a version #2)
 */
public class frog  extends Actor

{

public frog()
{
  
}
    /**
     * Act - do whatever the frog wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
      /**
       * Call check function
       */
        checkKeys();
    }    
     /**
     * checkKeys is a function to check weather this frog has been pressed right, left, up, or down
     * Then call intersect function which do the collosion between the bee and frog or bee with the anchor
     */
     private void checkKeys()
    {
        if(Greenfoot.isKeyDown("down"))
        {// move the frog down
            setLocation(getX(), getY()+7);
        }else  if(Greenfoot.isKeyDown("up"))
        {// move the frog up
            setLocation(getX(), getY()-7);
        
        }else if (Greenfoot.isKeyDown("left"))
        {// move the frog left
            setLocation(getX()-7, getY());
        }else if(Greenfoot.isKeyDown("right"))
        {// move the frog right
            setLocation(getX()+7, getY());
        }
       intersect();
    }
/**
 *  Check wether the frog hit the bee or the anchor.
 *  If it hit the bee, frog eat that bee
 *  If it hit the anchor, frog holds that anchor. Then frog will dive. 
 *  */


   private void intersect()
   {
     Actor actor = getOneIntersectingObject(null);
  
  if(actor != null)
  {
        if(bee.class.isInstance(actor))
        {
          
            getWorld().removeObject(actor);
        }
      else if(anchor.class.isInstance(actor))
        {
           getWorld().addObject(new froganchor(),getX(),getY());
           getWorld().removeObject(actor);
           getWorld().removeObject(this);
     
           
          
        }
  }

}
}
