////////////////
import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 *  Mine is a World that does the following:
 *  1. initiate variables
 *  2. set a timer
 *  3. call Act function which call randombees function to insert bees randomly
 * 
 * @author (John, Moulli, and Alsbouaya) 
 * @version (a version #2)
 */
public class Mine  extends World
{
  // Given an initial value to the theTime variable
        private int theTime=0;
        private frog frog1;
        private bee bee1;
        private bee bee2,bee3,bee4;
        private anchor anchor1;
         // delay to slow down the time
        private int delay=100;
        private int timer;
    /**
     * Constructor for objects of class TestWorld.
     * 
     */
    public Mine()
    {    
        
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(1000, 750, 1); 
        
        frog1=new frog();
        addObject(frog1,200-9-10,300);
        bee1=new bee();
        addObject(bee1,200,100);
        bee2=new bee();
        addObject(bee2,400,300);
        bee3=new bee(); 
        addObject(bee3,500,200);
        anchor anchor = new anchor();
        addObject(anchor, 40, 250);
        timer=delay;
        //initi_fun();
        
        addObject(new HomePage(),500,375);
        //addObject(new Information(),500,375);
    
    }

//public void Game_Play1_act()
  /**
 * Act function slow down the timer and insert bees randomly
 */
   public void act()
   {
   // Slow down the time
   if(timer<=0)
   {
     theTime++;
     timer=delay;
     // calling the following functions will generate the Gold and the Silver balls randomly
     randombees();
    
    }
  else
  // slow down the time
  timer--;
  
}
/**
 * 
 */
//  public void act()
//  {
 //   }
    
 //   void  initi_fun()
//{
       
//}
/**
 * randombees is a function to put the bees on the world randomly
 * 
 */

public void randombees()
{
    // y takes any random positions
     int y=Greenfoot.getRandomNumber(500);
     
    // bees comes from right to left
    // My world coordinations are 1000*600
    // now the bees' X coordination should start from 1001, Y coordination takes numbers randomly
    addObject(new bee(),1001, y);

}

}
